Arbor 3: FSM & BT Graph Editor 3.1.2

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IComponentProcessor Interface Reference

UndoなどのEditorの処理用インターフェイス。ComponentUtilityで使用する。 More...

## Public Member Functions
Component | AddComponent (GameObject gameObject, System.Type type)
| Add component. More...
void | Destroy (Object objectToUndo)
| Objectを破棄する。 More...
void | RecordObject (Object objectToUndo, string name)
| Objectを記録する。 More...
void | RecordObjects (Object[] objs, string name)
| 複数のObjectを記録する。 More...
void | RegisterCompleteObjectUndo (Object objectToUndo, string name)
| UndoにObjectを登録する。 More...
void | SetDirty (Object obj)
| Objectをダーティとしてマークする。 More...
void | MoveBehaviour (Node node, NodeBehaviour behaviour)
| behaviourをnodeに移動する。 More...
void | MoveVariable (Parameter parameter, VariableBase variable)
| variableをparameterに移動する。Editorでのみ有効。 More...
void | DelayDestroy (Object obj)
| 遅延破棄。 More...
void | DelayCall (ComponentUtility.DelayCallBack delayCall)
| 遅延呼び出し More...

## Detailed Description

UndoなどのEditorの処理用インターフェイス。ComponentUtilityで使用する。

## Member Function Documentation

Component AddComponent | ( | GameObject | gameObject,
|  | System.Type | type
| ) |  |

Add component.

Parameters

  gameObject | GameObject
  type | Component type

Returns
  Component

void DelayCall | ( | ComponentUtility.DelayCallBack | delayCall | ) |

遅延呼び出し

Parameters

  delayCall | 呼び出すメソッド

void DelayDestroy | ( | Object | obj | ) |

遅延破棄。

Parameters

  obj | Object

void Destroy | ( | Object | objectToUndo | ) |

Objectを破棄する。

Parameters

  objectToUndo | Object

void MoveBehaviour | ( | Node | node,
|  | NodeBehaviour | behaviour
| ) |  |

behaviourをnodeに移動する。

Parameters

  node | 移動先ノード
  behaviour | 移動するNodeBehaviour

void MoveVariable | ( | Parameter | parameter,
|  | VariableBase | variable
| ) |  |

variableをparameterに移動する。Editorでのみ有効。

Parameters

  parameter | 移動先Parameter
  variable | 移動するVariableBase

void RecordObject | ( | Object | objectToUndo,
|  | string | name
| ) |  |

Objectを記録する。

Parameters

  objectToUndo | Object
  name | 名前

void RecordObjects | ( | Object[] | objs,
|  | string | name
| ) |  |

複数のObjectを記録する。

Parameters

  objs | 複数のObject
  name | 名前

void RegisterCompleteObjectUndo | ( | Object | objectToUndo,
|  | string | name
| ) |  |

UndoにObjectを登録する。

Parameters

  objectToUndo | Object
  name | 名前

void SetDirty | ( | Object | obj | ) |

Objectをダーティとしてマークする。

Parameters

  obj | Object